astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Data Tables (`astropy.table`) »
- TableColumns

# TableColumns

class `astropy.table.table.``TableColumns`(cols={})

  Bases: `collections.OrderedDict`

  OrderedDict subclass for a set of columns.

  This class enhances item access to provide convenient access to columns by name or index, including slice access. It also handles renaming of columns.

  The initialization argument `cols` can be any structure that is valid for initializing a Python dict. This includes a dict, list of (key, val) tuple pairs, list of [key, val] lists, etc.

  Parameters:

  cols : dict, list, tuple; optional

  > Column objects as data structure that can init dict (see above)

  Methods Summary

  `keys`() |
  `values`() |

  Methods Documentation

  `keys`()
  `values`()